it.gov.taccuino

## Class DocumentoType.TipoDocumento

- java.lang.Object
- - it.gov.taccuino.DocumentoType.TipoDocumento

- Enclosing class:
    DocumentoType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class DocumentoType.TipoDocumento
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="typeCode">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="57833-6"/>
                   <enumeration value="60591-5"/>
                   <enumeration value="11502-2"/>
                   <enumeration value="57829-4"/>
                   <enumeration value="34105-7"/>
                   <enumeration value="59258-4"/>
                   <enumeration value="68604-8"/>
                   <enumeration value="11526-1"/>
                   <enumeration value="59284-0"/>
                   <enumeration value="28653-4"/>
                   <enumeration value="57832-8"/>
                   <enumeration value="29304-3"/>
                   <enumeration value="11488-4"/>
                   <enumeration value="57827-8"/>
                   <enumeration value="81223-0"/>
                   <enumeration value="TBD-TBD"/>
                 </restriction>
               </simpleType>
             </attribute>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `typeCode`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TipoDocumento()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTypeCode()` Recupera il valore della proprietà typeCode.
    `String` | `getValue()` Recupera il valore della proprietà value.
    `void` | `setTypeCode(String value)` Imposta il valore della proprietà typeCode.
    `void` | `setValue(String value)` Imposta il valore della proprietà value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String value

    - #### typeCode

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String typeCode

  - ### Constructor Detail

    - #### TipoDocumento

          public TipoDocumento()

  - ### Method Detail

    - #### getValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getValue()

      Recupera il valore della proprietà value.
      Returns:
        possible object is `String`

    - #### setValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setValue(String value)

      Imposta il valore della proprietà value.
      Parameters:
        `value` - allowed object is `String`

    - #### getTypeCode

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getTypeCode()

      Recupera il valore della proprietà typeCode.
      Returns:
        possible object is `String`

    - #### setTypeCode

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setTypeCode(String value)

      Imposta il valore della proprietà typeCode.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.